All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface ClassifierMap

All Superinterfaces:
  AbstractTransformation, CMetadata, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root, Transformation

All Known Subinterfaces:
  Join, Select

    public interface ClassifierMap

extends Transformation

Used to map any number of Classifier objects to any number of Classifier objects.

Attributes of ClassifierMap are:

Associations of ClassifierMap are:

- `AssociatedRowSelector`
- `ClassifierSources`
- `FeatureMaps`
- `ClassifierTargets`

## Usage

To create an instance of this ClassifierMap, use the `factory` create methods.
Example: create a ClassifierMap with name "ClassifierMap_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     ClassifierMap myObject = (ClassifierMap) factory.createComplexMetadataObject(objectStore, "ClassifierMap_Object", MetadataObjects.CLASSIFIERMAP, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_ASSOCIATEDROWSELECTOR_NAME` Constant used for the name of the AssociatedRowSelector association.
`static java.lang.String` | `ASSOCIATION_CLASSIFIERSOURCES_NAME` Constant used for the name of the ClassifierSources association.
`static java.lang.String` | `ASSOCIATION_CLASSIFIERTARGETS_NAME` Constant used for the name of the ClassifierTargets association.
`static java.lang.String` | `ASSOCIATION_FEATUREMAPS_NAME` Constant used for the name of the FeatureMaps association.

Fields inherited from interface com.sas.metadata.remote.Transformation
`ASSOCIATION_ASSOCIATEDPROMPT_NAME, ASSOCIATION_STEPS_NAME`

Fields inherited from interface com.sas.metadata.remote.AbstractTransformation
`ASSOCIATION_COMPUTELOCATIONS_NAME, ASSOCIATION_CONDITIONACTIONSETS_NAME, ASSOCIATION_CUSTOMIZERS_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_SOURCECODE_NAME, ASSOCIATION_SOURCESPECIFICATIONS_NAME, ASSOCIATION_SUBSTITUTIONVARIABLES_NAME, ASSOCIATION_TARGETSPECIFICATIONS_NAME, ASSOCIATION_TRANSFORMATIONSOURCES_NAME, ASSOCIATION_TRANSFORMATIONTARGETS_NAME, ASSOCIATION_TRIGGEREDEVENTS_NAME, ASSOCIATION_TRIGGERINGEVENTS_NAME, ATTRIBUTE_ISACTIVE_NAME, ATTRIBUTE_ISUSERDEFINED_NAME, ATTRIBUTE_TRANSFORMROLE_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`abstract RowSelector` | `getAssociatedRowSelector()` Gets the `RowSelector` for `AssociatedRowSelector`
`abstract AssociationList` | `getAssociatedRowSelectors()` Gets the AssociationList of `AssociatedRowSelectors`
`abstract AssociationList` | `getAssociatedRowSelectors(boolean fGoToServer)` Gets the Associationlist of `AssociatedRowSelectors`
`abstract AssociationList` | `getClassifierSources()` Gets the AssociationList of `ClassifierSources`
`abstract AssociationList` | `getClassifierSources(boolean fGoToServer)` Gets the Associationlist of `ClassifierSources`
`abstract AssociationList` | `getClassifierTargets()` Gets the Association list of `ClassifierTargets`
`abstract AssociationList` | `getClassifierTargets(boolean fGoToServer)` Gets the Associationlist of `ClassifierTargets`
`abstract AssociationList` | `getFeatureMaps()` Gets the AssociationList of `FeatureMaps`
`abstract AssociationList` | `getFeatureMaps(boolean fGoToServer)` Gets the Associationlist of `FeatureMaps`
`abstract void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `AssociatedRowSelector` `ClassifierSources` `FeatureMaps`
`abstract void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`abstract void` | `setAssociatedRowSelector(RowSelector inObject)` Sets the `AssociatedRowSelectors` list 0th element to be `inObject`.
`abstract void` | `setAssociatedRowSelectors(AssociationList list)` Sets the `AssociatedRowSelectors` list to be `list`.
`abstract void` | `setAssociatedRowSelectors(AssociationList list, int state)` Sets the `AssociatedRowSelectors` list to be `list`.
`abstract void` | `setClassifierSources(AssociationList list)` Sets the `ClassifierSources` list to be `list`.
`abstract void` | `setClassifierSources(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`abstract void` | `setClassifierTargets(AssociationList list)` Sets the `ClassifierTargets` list to be `list`.
`abstract void` | `setClassifierTargets(AssociationList inObjects, int state)` Sets the entire ClassifierTargets list to match the passed in AssociationList, sets the state of the ClassifierTargets
`abstract void` | `setFeatureMaps(AssociationList list)` Sets the `FeatureMaps` list to be `list`.
`abstract void` | `setFeatureMaps(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

Methods inherited from interface com.sas.metadata.remote.Transformation
`getAssociatedPrompt, getAssociatedPrompts, getAssociatedPrompts, getSteps, getSteps, setAssociatedPrompt, setAssociatedPrompts, setAssociatedPrompts, setSteps, setSteps`

Methods inherited from interface com.sas.metadata.remote.AbstractTransformation
`getComputeLocations, getComputeLocations, getConditionActionSets, getConditionActionSets, getCustomizers, getCustomizers, getDeployedComponents, getDeployedComponents, getIsActive, getIsActiveState, getIsUserDefined, getIsUserDefinedState, getSourceCode, getSourceCodes, getSourceCodes, getSourceSpecifications, getSourceSpecifications, getSubstitutionVariables, getSubstitutionVariables, getTargetSpecifications, getTargetSpecifications, getTransformationSources, getTransformationSources, getTransformationTargets, getTransformationTargets, getTransformRole, getTransformRoleMaxLength, getTransformRoleState, getTriggeredEvents, getTriggeredEvents, getTriggeringEvents, getTriggeringEvents, setComputeLocations, setComputeLocations, setConditionActionSets, setConditionActionSets, setCustomizers, setCustomizers, setDeployedComponents, setDeployedComponents, setIsActive, setIsActive, setIsActive, setIsActive, setIsActiveState, setIsUserDefined, setIsUserDefined, setIsUserDefined, setIsUserDefined, setIsUserDefinedState, setSourceCode, setSourceCodes, setSourceCodes, setSourceSpecifications, setSourceSpecifications, setSubstitutionVariables, setSubstitutionVariables, setTargetSpecifications, setTargetSpecifications, setTransformationSources, setTransformationSources, setTransformationTargets, setTransformationTargets, setTransformRole, setTransformRole, setTransformRoleState, setTriggeredEvents, setTriggeredEvents, setTriggeringEvents, setTriggeringEvents`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ASSOCIATION_ASSOCIATEDROWSELECTOR_NAME

    static final java.lang.String ASSOCIATION_ASSOCIATEDROWSELECTOR_NAME

  Constant used for the name of the AssociatedRowSelector association.

  AssociatedRowSelector: The row selector that is used as part of this classifier map.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASSIFIERSOURCES_NAME

    static final java.lang.String ASSOCIATION_CLASSIFIERSOURCES_NAME

  Constant used for the name of the ClassifierSources association.

  ClassifierSources: The classifier that act as input to this transformation process.

  See Also:
    Constant Field Values

### ASSOCIATION_FEATUREMAPS_NAME

    static final java.lang.String ASSOCIATION_FEATUREMAPS_NAME

  Constant used for the name of the FeatureMaps association.

  FeatureMaps: The set of feature maps associated with a classifier map.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASSIFIERTARGETS_NAME

    static final java.lang.String ASSOCIATION_CLASSIFIERTARGETS_NAME

  Constant used for the name of the ClassifierTargets association.

  ClassifierTargets: The classifiers that are created or loaded as a result of this transformation process.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `AbstractTransformation`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Specified by:
    `initializeRequiredObjects` in interface `Transformation`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `AssociatedRowSelector`
  `ClassifierSources`
  `FeatureMaps`

  Specified by:
    `initializePredObjects` in interface `AbstractTransformation`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Specified by:
    `initializePredObjects` in interface `Transformation`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getAssociatedRowSelectors

    AssociationList getAssociatedRowSelectors()
                                              throws java.rmi.RemoteException,
                                                     MdException

  Gets the AssociationList of `AssociatedRowSelectors`

  Returns:
    Returns the AssociationList of `AssociatedRowSelectors` which can be of type:
    RowSelector
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException`

### getAssociatedRowSelector

    RowSelector getAssociatedRowSelector()
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the `RowSelector` for `AssociatedRowSelector`

  Returns:
    The `RowSelector` ( `null` if not set) of `AssociatedRowSelector`which can be of type:
    RowSelector
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getClassifierSources

    AssociationList getClassifierSources()
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the AssociationList of `ClassifierSources`

  Returns:
    Returns the AssociationList of `ClassifierSources` which can be of type:
    Classifier
    Cube
    Dimension
    SharedDimension
    DataTable
    ExternalTable
    RelationalTable
    PhysicalTable
    WorkTable
    SecuredTable
    QueryTable
    JoinTable
    TableCollection
    Report
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getFeatureMaps

    AssociationList getFeatureMaps()
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the AssociationList of `FeatureMaps`

  Returns:
    Returns the AssociationList of `FeatureMaps` which can be of type:
    FeatureMap
    ColumnHierarchy
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getClassifierTargets

    AssociationList getClassifierTargets()
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Association list of `ClassifierTargets`

  Returns:
    The AssociationList of `ClassifierTargets` which can be of type:
    Classifier
    Cube
    Dimension
    SharedDimension
    DataTable
    ExternalTable
    RelationalTable
    PhysicalTable
    WorkTable
    SecuredTable
    QueryTable
    JoinTable
    TableCollection
    Report
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getAssociatedRowSelectors

    AssociationList getAssociatedRowSelectors(boolean fGoToServer)
                                              throws java.rmi.RemoteException,
                                                     MdException

  Gets the Associationlist of `AssociatedRowSelectors`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `AssociatedRowSelectors` which can be of type:
    RowSelector
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getClassifierSources

    AssociationList getClassifierSources(boolean fGoToServer)
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Associationlist of `ClassifierSources`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `ClassifierSources` which can be of type:
    Classifier
    Cube
    Dimension
    SharedDimension
    DataTable
    ExternalTable
    RelationalTable
    PhysicalTable
    WorkTable
    SecuredTable
    QueryTable
    JoinTable
    TableCollection
    Report
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getFeatureMaps

    AssociationList getFeatureMaps(boolean fGoToServer)
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the Associationlist of `FeatureMaps`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `FeatureMaps` which can be of type:
    FeatureMap
    ColumnHierarchy
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getClassifierTargets

    AssociationList getClassifierTargets(boolean fGoToServer)
                                         throws java.rmi.RemoteException,
                                                MdException

  Gets the Associationlist of `ClassifierTargets`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `ClassifierTargets` which can be of type:
    Classifier
    Cube
    Dimension
    SharedDimension
    DataTable
    ExternalTable
    RelationalTable
    PhysicalTable
    WorkTable
    SecuredTable
    QueryTable
    JoinTable
    TableCollection
    Report
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setAssociatedRowSelectors

    void setAssociatedRowSelectors(AssociationList list)
                                   throws java.rmi.RemoteException

  Sets the `AssociatedRowSelectors` list to be `list`. Object of which can be of type:
  RowSelector

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAssociatedRowSelectors

    void setAssociatedRowSelectors(AssociationList list,
                                   int state)
                                   throws java.rmi.RemoteException

  Sets the `AssociatedRowSelectors` list to be `list`. Object of which can be of type:
  RowSelector

  Parameters:
    `list` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setAssociatedRowSelector

    void setAssociatedRowSelector(RowSelector inObject)
                                  throws java.rmi.RemoteException

  Sets the `AssociatedRowSelectors` list 0th element to be `inObject`.

  Parameters:
    `inObject` - RowSelector
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setClassifierSources

    void setClassifierSources(AssociationList list)
                              throws java.rmi.RemoteException

  Sets the `ClassifierSources` list to be `list`. Objects of which can be of type:
  Classifier
  Cube
  Dimension
  SharedDimension
  DataTable
  ExternalTable
  RelationalTable
  PhysicalTable
  WorkTable
  SecuredTable
  QueryTable
  JoinTable
  TableCollection
  Report

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setClassifierSources

    void setClassifierSources(AssociationList inObjects,
                              int state)
                              throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setFeatureMaps

    void setFeatureMaps(AssociationList list)
                        throws java.rmi.RemoteException

  Sets the `FeatureMaps` list to be `list`. Objects of which can be of type:
  FeatureMap
  ColumnHierarchy

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setFeatureMaps

    void setFeatureMaps(AssociationList inObjects,
                        int state)
                        throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setClassifierTargets

    void setClassifierTargets(AssociationList list)
                              throws java.rmi.RemoteException

  Sets the `ClassifierTargets` list to be `list`. Objects of which can be of type:
  Classifier
  Cube
  Dimension
  SharedDimension
  DataTable
  ExternalTable
  RelationalTable
  PhysicalTable
  WorkTable
  SecuredTable
  QueryTable
  JoinTable
  TableCollection
  Report

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setClassifierTargets

    void setClassifierTargets(AssociationList inObjects,
                              int state)
                              throws java.rmi.RemoteException

  Sets the entire ClassifierTargets list to match the passed in AssociationList, sets the state of the ClassifierTargets

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.